package com.bytedance.ies.nle.editor_jni;

import X.AnonymousClass51X;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEModel extends NLETimeSpaceNode {
    public transient boolean swigCMemOwnDerived;
    public transient long swigCPtr;

    static {
        Covode.recordClassIndex(29823);
    }

    public void finalize() {
        delete();
    }

    public void clearTrack() {
        MethodCollector.i(18711);
        NLEEditorJniJNI.NLEModel_clearTrack(this.swigCPtr, this);
        MethodCollector.o(18711);
    }

    public String getAlignMode() {
        MethodCollector.i(18715);
        String NLEModel_getAlignMode = NLEEditorJniJNI.NLEModel_getAlignMode(this.swigCPtr, this);
        MethodCollector.o(18715);
        return NLEModel_getAlignMode;
    }

    public float getCanvasRatio() {
        MethodCollector.i(18708);
        float NLEModel_getCanvasRatio = NLEEditorJniJNI.NLEModel_getCanvasRatio(this.swigCPtr, this);
        MethodCollector.o(18708);
        return NLEModel_getCanvasRatio;
    }

    public long getDuration() {
        MethodCollector.i(10365);
        long NLEModel_getDuration = NLEEditorJniJNI.NLEModel_getDuration(this.swigCPtr, this);
        MethodCollector.o(10365);
        return NLEModel_getDuration;
    }

    public int getEffectLayerMax() {
        MethodCollector.i(10367);
        int NLEModel_getEffectLayerMax = NLEEditorJniJNI.NLEModel_getEffectLayerMax(this.swigCPtr, this);
        MethodCollector.o(10367);
        return NLEModel_getEffectLayerMax;
    }

    public int getLayerMax() {
        MethodCollector.i(10366);
        int NLEModel_getLayerMax = NLEEditorJniJNI.NLEModel_getLayerMax(this.swigCPtr, this);
        MethodCollector.o(10366);
        return NLEModel_getLayerMax;
    }

    public long getMaxTargetEnd() {
        MethodCollector.i(10132);
        long NLEModel_getMaxTargetEnd__SWIG_1 = NLEEditorJniJNI.NLEModel_getMaxTargetEnd__SWIG_1(this.swigCPtr, this);
        MethodCollector.o(10132);
        return NLEModel_getMaxTargetEnd__SWIG_1;
    }

    public long getMeasuredEndTime() {
        MethodCollector.i(10363);
        long NLEModel_getMeasuredEndTime = NLEEditorJniJNI.NLEModel_getMeasuredEndTime(this.swigCPtr, this);
        MethodCollector.o(10363);
        return NLEModel_getMeasuredEndTime;
    }

    public long getMinTargetStart() {
        MethodCollector.i(18718);
        long NLEModel_getMinTargetStart = NLEEditorJniJNI.NLEModel_getMinTargetStart(this.swigCPtr, this);
        MethodCollector.o(18718);
        return NLEModel_getMinTargetStart;
    }

    public long getStartTime() {
        MethodCollector.i(10364);
        long NLEModel_getStartTime = NLEEditorJniJNI.NLEModel_getStartTime(this.swigCPtr, this);
        MethodCollector.o(10364);
        return NLEModel_getStartTime;
    }

    public long getThousandFps() {
        MethodCollector.i(18705);
        long NLEModel_getThousandFps = NLEEditorJniJNI.NLEModel_getThousandFps(this.swigCPtr, this);
        MethodCollector.o(18705);
        return NLEModel_getThousandFps;
    }

    public boolean hasAlignMode() {
        MethodCollector.i(18713);
        boolean NLEModel_hasAlignMode = NLEEditorJniJNI.NLEModel_hasAlignMode(this.swigCPtr, this);
        MethodCollector.o(18713);
        return NLEModel_hasAlignMode;
    }

    public boolean hasCanvasRatio() {
        MethodCollector.i(18706);
        boolean NLEModel_hasCanvasRatio = NLEEditorJniJNI.NLEModel_hasCanvasRatio(this.swigCPtr, this);
        MethodCollector.o(18706);
        return NLEModel_hasCanvasRatio;
    }

    public boolean hasThousandFps() {
        MethodCollector.i(18703);
        boolean NLEModel_hasThousandFps = NLEEditorJniJNI.NLEModel_hasThousandFps(this.swigCPtr, this);
        MethodCollector.o(18703);
        return NLEModel_hasThousandFps;
    }

    public NLEModel() {
        this(NLEEditorJniJNI.new_NLEModel(), true);
        MethodCollector.i(10206);
        MethodCollector.o(10206);
    }

    public NLENode clone() {
        MethodCollector.i(18699);
        long NLEModel_clone = NLEEditorJniJNI.NLEModel_clone(this.swigCPtr, this);
        if (NLEModel_clone == 0) {
            MethodCollector.o(18699);
            return null;
        }
        NLENode nLENode = new NLENode(NLEModel_clone, true);
        MethodCollector.o(18699);
        return nLENode;
    }

    public VecNLEResourceNodeSPtr getAllResources() {
        MethodCollector.i(10370);
        VecNLEResourceNodeSPtr vecNLEResourceNodeSPtr = new VecNLEResourceNodeSPtr(NLEEditorJniJNI.NLEModel_getAllResources(this.swigCPtr, this));
        MethodCollector.o(10370);
        return vecNLEResourceNodeSPtr;
    }

    public NLEVideoFrameModel getCover() {
        MethodCollector.i(18702);
        long NLEModel_getCover = NLEEditorJniJNI.NLEModel_getCover(this.swigCPtr, this);
        if (NLEModel_getCover == 0) {
            MethodCollector.o(18702);
            return null;
        }
        NLEVideoFrameModel nLEVideoFrameModel = new NLEVideoFrameModel(NLEModel_getCover);
        MethodCollector.o(18702);
        return nLEVideoFrameModel;
    }

    public NLETrack getMainTrack() {
        MethodCollector.i(11005);
        long NLEModel_getMainTrack__SWIG_1 = NLEEditorJniJNI.NLEModel_getMainTrack__SWIG_1(this.swigCPtr, this);
        if (NLEModel_getMainTrack__SWIG_1 == 0) {
            MethodCollector.o(11005);
            return null;
        }
        NLETrack nLETrack = new NLETrack(NLEModel_getMainTrack__SWIG_1);
        MethodCollector.o(11005);
        return nLETrack;
    }

    public VecNLETrackSPtr getSortedTracks() {
        MethodCollector.i(10584);
        VecNLETrackSPtr vecNLETrackSPtr = new VecNLETrackSPtr(NLEEditorJniJNI.NLEModel_getSortedTracks(this.swigCPtr, this));
        MethodCollector.o(10584);
        return vecNLETrackSPtr;
    }

    public VecNLETrackSPtr getSortedTracksWithNoNoneTrack() {
        MethodCollector.i(10585);
        VecNLETrackSPtr vecNLETrackSPtr = new VecNLETrackSPtr(NLEEditorJniJNI.NLEModel_getSortedTracksWithNoNoneTrack(this.swigCPtr, this));
        MethodCollector.o(10585);
        return vecNLETrackSPtr;
    }

    public VecNLETrackSPtr getTracks() {
        MethodCollector.i(18712);
        VecNLETrackSPtr vecNLETrackSPtr = new VecNLETrackSPtr(NLEEditorJniJNI.NLEModel_getTracks(this.swigCPtr, this));
        MethodCollector.o(18712);
        return vecNLETrackSPtr;
    }

    public synchronized void delete() {
        MethodCollector.i(18697);
        long j = this.swigCPtr;
        if (j != 0) {
            if (this.swigCMemOwnDerived) {
                this.swigCMemOwnDerived = false;
                NLEEditorJniJNI.delete_NLEModel(j);
            }
            this.swigCPtr = 0;
        }
        super.delete();
        MethodCollector.o(18697);
    }

    public static long getCPtr(NLEModel nLEModel) {
        if (nLEModel == null) {
            return 0;
        }
        return nLEModel.swigCPtr;
    }

    public void swigSetCMemOwn(boolean z) {
        this.swigCMemOwnDerived = z;
        super.swigSetCMemOwn(z);
    }

    public long getMaxTargetEndExcludeDisabledNode(boolean z) {
        MethodCollector.i(10134);
        long NLEModel_getMaxTargetEndExcludeDisabledNode = NLEEditorJniJNI.NLEModel_getMaxTargetEndExcludeDisabledNode(this.swigCPtr, this, z);
        MethodCollector.o(10134);
        return NLEModel_getMaxTargetEndExcludeDisabledNode;
    }

    public void setAlignMode(String str) {
        MethodCollector.i(18714);
        NLEEditorJniJNI.NLEModel_setAlignMode(this.swigCPtr, this, str);
        MethodCollector.o(18714);
    }

    public void setCanvasRatio(float f) {
        MethodCollector.i(18707);
        NLEEditorJniJNI.NLEModel_setCanvasRatio(this.swigCPtr, this, f);
        MethodCollector.o(18707);
    }

    public void setThousandFps(long j) {
        MethodCollector.i(18704);
        NLEEditorJniJNI.NLEModel_setThousandFps(this.swigCPtr, this, j);
        MethodCollector.o(18704);
    }

    public static NLEModel dynamicCast(NLENode nLENode) {
        NLEModel nLEModel;
        MethodCollector.i(18698);
        long NLEModel_dynamicCast = NLEEditorJniJNI.NLEModel_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLEModel_dynamicCast == 0) {
            nLEModel = null;
        } else {
            nLEModel = new NLEModel(NLEModel_dynamicCast, true);
        }
        MethodCollector.o(18698);
        return nLEModel;
    }

    public void addTrack(NLETrack nLETrack) {
        MethodCollector.i(18709);
        NLETrack nLETrack2 = nLETrack;
        NLEEditorJniJNI.NLEModel_addTrack(this.swigCPtr, this, NLETrack.LIZ(nLETrack2), nLETrack2);
        MethodCollector.o(18709);
    }

    public NLETrack getFirstTrackWithType(AnonymousClass51X r7) {
        NLETrack nLETrack;
        MethodCollector.i(9929);
        long NLEModel_getFirstTrackWithType = NLEEditorJniJNI.NLEModel_getFirstTrackWithType(this.swigCPtr, this, r7.swigValue());
        if (NLEModel_getFirstTrackWithType == 0) {
            nLETrack = null;
        } else {
            nLETrack = new NLETrack(NLEModel_getFirstTrackWithType);
        }
        MethodCollector.o(9929);
        return nLETrack;
    }

    public long getMaxTargetEnd(VecNLETrackType vecNLETrackType) {
        MethodCollector.i(18719);
        VecNLETrackType vecNLETrackType2 = vecNLETrackType;
        long NLEModel_getMaxTargetEnd__SWIG_0 = NLEEditorJniJNI.NLEModel_getMaxTargetEnd__SWIG_0(this.swigCPtr, this, VecNLETrackType.LIZ(vecNLETrackType2), vecNLETrackType2);
        MethodCollector.o(18719);
        return NLEModel_getMaxTargetEnd__SWIG_0;
    }

    public boolean removeTrack(NLETrack nLETrack) {
        MethodCollector.i(18710);
        NLETrack nLETrack2 = nLETrack;
        boolean NLEModel_removeTrack = NLEEditorJniJNI.NLEModel_removeTrack(this.swigCPtr, this, NLETrack.LIZ(nLETrack2), nLETrack2);
        MethodCollector.o(18710);
        return NLEModel_removeTrack;
    }

    public void setCover(NLEVideoFrameModel nLEVideoFrameModel) {
        long j;
        MethodCollector.i(18700);
        long j2 = this.swigCPtr;
        NLEVideoFrameModel nLEVideoFrameModel2 = nLEVideoFrameModel;
        if (nLEVideoFrameModel2 == null) {
            j = 0;
        } else {
            j = nLEVideoFrameModel2.LIZ;
        }
        NLEEditorJniJNI.NLEModel_setCover(j2, this, j, nLEVideoFrameModel2);
        MethodCollector.o(18700);
    }

    public NLETrack getMainTrack(boolean z) {
        NLETrack nLETrack;
        MethodCollector.i(11004);
        long NLEModel_getMainTrack__SWIG_0 = NLEEditorJniJNI.NLEModel_getMainTrack__SWIG_0(this.swigCPtr, this, z);
        if (NLEModel_getMainTrack__SWIG_0 == 0) {
            nLETrack = null;
        } else {
            nLETrack = new NLETrack(NLEModel_getMainTrack__SWIG_0);
        }
        MethodCollector.o(11004);
        return nLETrack;
    }

    public NLEMatrix getRawNLEMatrix(NLETimeSpaceNode nLETimeSpaceNode) {
        NLEMatrix nLEMatrix;
        MethodCollector.i(10369);
        NLETimeSpaceNode nLETimeSpaceNode2 = nLETimeSpaceNode;
        long NLEModel_getRawNLEMatrix = NLEEditorJniJNI.NLEModel_getRawNLEMatrix(this.swigCPtr, this, NLETimeSpaceNode.getCPtr(nLETimeSpaceNode2), nLETimeSpaceNode2);
        if (NLEModel_getRawNLEMatrix == 0) {
            nLEMatrix = null;
        } else {
            nLEMatrix = new NLEMatrix(NLEModel_getRawNLEMatrix);
        }
        MethodCollector.o(10369);
        return nLEMatrix;
    }

    public NLETrack getTrackBySlot(NLETrackSlot nLETrackSlot) {
        NLETrack nLETrack;
        MethodCollector.i(10368);
        NLETrackSlot nLETrackSlot2 = nLETrackSlot;
        long NLEModel_getTrackBySlot = NLEEditorJniJNI.NLEModel_getTrackBySlot(this.swigCPtr, this, NLETrackSlot.LIZ(nLETrackSlot2), nLETrackSlot2);
        if (NLEModel_getTrackBySlot == 0) {
            nLETrack = null;
        } else {
            nLETrack = new NLETrack(NLEModel_getTrackBySlot);
        }
        MethodCollector.o(10368);
        return nLETrack;
    }

    public void updateRelativeSizeWhileGlobalCanvasChanged(float f, float f2) {
        MethodCollector.i(18716);
        NLEEditorJniJNI.NLEModel_updateRelativeSizeWhileGlobalCanvasChanged(this.swigCPtr, this, f, f2);
        MethodCollector.o(18716);
    }

    public void setRewind(boolean z, VecNLETrackType vecNLETrackType) {
        MethodCollector.i(18717);
        VecNLETrackType vecNLETrackType2 = vecNLETrackType;
        NLEEditorJniJNI.NLEModel_setRewind(this.swigCPtr, this, z, VecNLETrackType.LIZ(vecNLETrackType2), vecNLETrackType2);
        MethodCollector.o(18717);
    }

    public NLEModel(long j, boolean z) {
        super(NLEEditorJniJNI.NLEModel_SWIGSmartPtrUpcast(j), true);
        MethodCollector.i(18657);
        this.swigCMemOwnDerived = z;
        this.swigCPtr = j;
        MethodCollector.o(18657);
    }
}
